<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns="http://www.w3.org/TR/xhtml1/strict">
<!-- Tranform from XML to project-XSL file -->

<xsl:template match="text()|@*"></xsl:template>
<xsl:output method="text"/>

<xsl:template match="/">
<xsl:if test="application/@guiversion != '1.0'">
  <xsl:message terminate="yes">
Wrong DTD-version used! Current DTD version is 1.0; you are using version <xsl:value-of select="application/@guiversion"/>.
  </xsl:message>
</xsl:if>
:bil-version	1 0
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="application">
:project <xsl:value-of select="@id"/>
(
	:files			( <xsl:for-each select="window">mod_<xsl:value-of select="@id"/><xsl:text>.bil </xsl:text></xsl:for-each>)
	:root-window		mod_<xsl:value-of select="window[@mainwindow='true']/@id"/>.<xsl:value-of select="window[@mainwindow='true']/@id"/>
	:session-management	(
		:sessioning-method :none
	)
	:tooltalk		(
		:desktop-level	:none
	)
	:internationalization	(
		:enabled	:false
	)
	:res-file-types		()
	:c-header-file-extension ".h"
	:c-impl-file-extension	".c"
	:write-main-func	:true
)
</xsl:template>

</xsl:stylesheet>