<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:output method="text"/>

  <xsl:template match="/"># Automaticly generated script for AppBuilder
    # This script is to be called automaticaly to generate the project file and
    # the module style sheets.
    <!-- Generate .bip project file -->
    <xsl:apply-templates select="application"/>
    
    <!-- Generate a .xsl module style sheet for each window -->
    <xsl:for-each select="application/window">
      <!-- echo Compiling "window".xml... -->
      <xsl:text>echo Compiling </xsl:text>
      <xsl:value-of select="@id"/>
      <xsl:text>.xml...&#xA;</xsl:text>
      
      <!-- cat import "window".xml > "window".xml.tmp -->
      <xsl:text>cat $3/$2/import ../</xsl:text>
      <xsl:value-of select="@id"/>
      <xsl:text>.xml &gt; </xsl:text>
      <xsl:value-of select="@id"/>
      <xsl:text>.xml.tmp&#xA;</xsl:text>
      
      <xsl:text>echo Making BIL style sheet...&#xA;</xsl:text>
      <!-- java XSLConverter "window".xml.tmp bil.xsl "window"_merge.xsl -->
      <xsl:text>java XSLConverter </xsl:text>
      <xsl:value-of select="@id"/>
      <xsl:text>.xml.tmp $3/$2/bil.xsl </xsl:text>
      <xsl:value-of select="@id"/>
      <xsl:text>_merge.xsl >/dev/null&#xA;</xsl:text>

      <xsl:text>echo&#xA;</xsl:text>

      <!-- Remove temporary files -->
      <!-- rm "window".xml.tmp -->
      <xsl:text>rm </xsl:text>
      <xsl:value-of select="@id"/>
      <xsl:text>.xml.tmp&#xA;</xsl:text>

    </xsl:for-each>

    <!-- convert pictures -->
    <xsl:text>echo Converting pictures...&#xA;
    cd ..&#xA;
    for picture in *.gif; do convert $picture $2/$picture.xpm; done&#xA;
    cd $2&#xA;</xsl:text>
  </xsl:template>

  <xsl:template match="application">
    <!-- echo Making "application".bip... -->
    <xsl:text>echo Making </xsl:text>
    <xsl:value-of select="@id"/>
    <xsl:text>.bip...&#xA;</xsl:text>

    <!-- java XSLConverter $1 bip.xsl "application".bip -->
    <xsl:text>java XSLConverter $1 $3/$2/bip.xsl </xsl:text>
    <xsl:value-of select="@id"/>
    <xsl:text>.bip >/dev/null&#xA;</xsl:text>

    <xsl:text>echo&#xA;</xsl:text>
  </xsl:template>  
</xsl:stylesheet>
